<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<style>
    header, footer {
    margin: 0.2em;
    padding: 0.5em;
    background-color: orange;
    text-align: center;
    }  
    .row {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    }    
    nav {
    margin: 0.2em;
    min-height: 8em;
    padding: 0.5em;  
    width: 10%;
    background-color: lightgreen;
    text-align: center;  
    }
    main {
    margin: 0.2em;
    min-height: 8em;
    padding: 1em;
    width: 65%;
    background-color: lightcyan;  
    }
    aside {
    margin: 0.2em;
    min-height: 8em;
    padding: 1em;
    width: 20%;
    background-color: lightBlue;
    }
</style>
<body>
    <header>
        <h1>HTML5 Semantics and Flexbox</h1>    
    </header>
    <div class="row">
    <nav>    
        <h3>Navigate</h3>          
        <strong>Home<br>
        <a href="">Link1</a><br>
        <a href="">Link2</a>
        </strong>
    </nav>
    <main class="column">
    <article>
        <h2>
        About This Page
        </h2>
        <p>On this page, I am experimenting with HTML5 semantics and CSS flexbox for a tidy layout.</p>
        <p>On JS Bin, I purposedly includes the stylesheet on the HTML tab (instead of separate CSS tab) for easier code reading for those with small screen.</p>
        <p>The <code>main</code> element is placed within a <code>div</code> element along with <code>nav</code> and <code>aside</code>. I don't know if this is right or wrong (let me know?).</p>
        <p>Navigation links are placed within <code>nav</code>, laid on the left. The <code>main</code> is at the center column (this column). Within it is the main topic (this article).</p>
        <p>The <code>aside</code> element is at the rightmost of the column, I put supplemental information on it.</p>    
    </article>
    <article>
        <h2>Test This Page!</h2>
        <p>Do test this page by:</p>
        <ul>
            <li>Resizing the browser windows; see if flexbox lives up to its reputation.</li>
            <li>Run HTML Outliner or HeadingsMap (or similar tool) and see if the outline is good. </li>
            <li>Check the markup in this page with W3C Markup validator; see if the markups are good. Paste the URL of this page to the address column. <a href="#">Click here to try!</a>.</li>
            <li>Check the CSS part of this page too! <a href="#">Click here!</a></li>
        </ul>
        
    </article>
    </main>  
    <aside>
        <h2>HTML</h2>    
        <p>Stands for HyperText Markup Language. The current standard is HTML5.</p>
        <h2>CSS</h2>
        <p>Stands for Cascaded Style Sheet. The current standard is CSS3.</p>
        <h2>URL</h2>
        <p>Short for Uniform Resource Locator. It is a reference (an address) to a resource on the Internet.</p>
    </aside>
    </div>
    <footer>22-10-28 @ Devcamp</footer>  
</body>
</html>